aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php-xcache/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-19 13:37:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-19 13:38:15 +0000
commitd261b3bdc861666d3e2458c81cb8ac87a12a3361 (patch)
tree66cb47ff834f0efa5c544429a182a741d209b3dd /testing/php-xcache/APKBUILD
parent9e9254edf90750eec3fd9d269e6a1c29e2882e46 (diff)
downloadaports-d261b3bdc861666d3e2458c81cb8ac87a12a3361.tar.gz
aports-d261b3bdc861666d3e2458c81cb8ac87a12a3361.tar.bz2
aports-d261b3bdc861666d3e2458c81cb8ac87a12a3361.tar.xz
testing/php-xcache: new aport
php opcode cacher http://xcache.lighttpd.net/ ref #1588
Diffstat (limited to 'testing/php-xcache/APKBUILD')
-rw-r--r--testing/php-xcache/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/php-xcache/APKBUILD b/testing/php-xcache/APKBUILD
new file mode 100644
index 0000000000..882305fa0b
--- /dev/null
+++ b/testing/php-xcache/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=php-xcache
+pkgver=3.0.1
+pkgrel=0
+pkgdesc="php opcode cacher"
+url="http://xcache.lighttpd.net/"
+arch="all"
+license="BSD"
+depends="zendframework"
+depends_dev=""
+makedepends="$depends_dev php-dev autoconf automake flex bison gawk"
+install=""
+subpackages=""
+source="http://xcache.lighttpd.net/pub/Releases/$pkgver/xcache-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/xcache-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ phpize --clean && phpize || return 1
+ ./configure \
+ --prefix=/usr \
+ --enable-xcache \
+ --enable-xcache-constant \
+ --enable-xcache-optimizer \
+ --enable-xcache-coverager \
+ || return 1
+ make -j1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 install INSTALL_ROOT="$pkgdir"
+}
+
+md5sums="45086010bc4f82f506c08be1c556941b xcache-3.0.1.tar.bz2"